Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989243 - [abrt] systemd-206-1.fc20: crash: Process /usr/lib/systemd/systemd was killed by signal 11 (SIGSEGV)
Summary: [abrt] systemd-206-1.fc20: crash: Process /usr/lib/systemd/systemd was killed...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:232e2bfab2e41bfa62bd960e044...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-28 16:56 UTC by piio
Modified: 2013-10-10 00:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-10 00:27:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: cgroup (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: core_backtrace (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: dso_list (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: environ (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: limits (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: maps (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: open_fds (deleted)
2013-07-28 16:56 UTC, piio
no flags Details
File: proc_pid_status (deleted)
2013-07-28 16:57 UTC, piio
no flags Details
File: var_log_messages (deleted)
2013-07-28 16:57 UTC, piio
no flags Details

Description piio 2013-07-28 16:56:21 UTC
Version-Release number of selected component:
systemd-206-1.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd --switched-root --system --deserialize 24
crash_function: crash
executable:     /usr/lib/systemd/systemd
kernel:         3.11.0-0.rc2.git4.2.fc20.i686+PAE
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 crash at src/core/main.c:144
 #4 isempty at src/shared/util.h:106
 #5 join_path at src/shared/cgroup-util.c:454
 #6 cg_enumerate_processes at src/shared/cgroup-util.c:50
 #7 cg_is_empty at src/shared/cgroup-util.c:827
 #8 cg_is_empty_recursive at src/shared/cgroup-util.c:868
 #9 manager_notify_cgroup_empty at src/core/cgroup.c:736
 #10 private_bus_message_filter at src/core/dbus.c:491
 #12 bus_dispatch at src/core/dbus.c:525
 #13 manager_loop at src/core/manager.c:1816

Comment 1 piio 2013-07-28 16:56:26 UTC
Created attachment 779383 [details]
File: backtrace

Comment 2 piio 2013-07-28 16:56:31 UTC
Created attachment 779384 [details]
File: cgroup

Comment 3 piio 2013-07-28 16:56:36 UTC
Created attachment 779385 [details]
File: core_backtrace

Comment 4 piio 2013-07-28 16:56:40 UTC
Created attachment 779386 [details]
File: dso_list

Comment 5 piio 2013-07-28 16:56:45 UTC
Created attachment 779387 [details]
File: environ

Comment 6 piio 2013-07-28 16:56:50 UTC
Created attachment 779388 [details]
File: limits

Comment 7 piio 2013-07-28 16:56:54 UTC
Created attachment 779389 [details]
File: maps

Comment 8 piio 2013-07-28 16:56:58 UTC
Created attachment 779390 [details]
File: open_fds

Comment 9 piio 2013-07-28 16:57:04 UTC
Created attachment 779391 [details]
File: proc_pid_status

Comment 10 piio 2013-07-28 16:57:09 UTC
Created attachment 779392 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-09-16 14:52:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 12 Zbigniew Jędrzejewski-Szmek 2013-10-10 00:27:00 UTC
Here we have corrupted memory: unit u->cgroup_path (which is a char *) is equal to ~0. This backtrace doesn't tell us anything about it came to be so... I'll close this, because there have a been a bunch of fixes [1] which could affect memory corruptions, and F20 and rawhide are now at systemd-208.

[1] http://cgit.freedesktop.org/systemd/systemd/commit/?id=b58b8e1 most likely


Note You need to log in before you can comment on or make changes to this bug.